This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 680569 - [Crestline] multihead setup: trying to turn off LVDS results in both displays are blank ... confusing LVDS and DVI
[Crestline] multihead setup: trying to turn off LVDS results in both displays...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
15
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
: 680565 680570 680571 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-25 17:40 EST by Jaroslaw Gorny
Modified: 2012-08-07 10:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 10:38:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xrandr -v (6.47 KB, text/plain)
2011-02-25 17:40 EST, Jaroslaw Gorny
no flags Details
Xorg.0.log (47.62 KB, text/plain)
2011-03-01 08:47 EST, Jaroslaw Gorny
no flags Details
/var/log/messages (342.82 KB, text/plain)
2011-03-01 08:47 EST, Jaroslaw Gorny
no flags Details
dmesg output (123.77 KB, text/plain)
2011-03-01 08:48 EST, Jaroslaw Gorny
no flags Details

  None (edit)
Description Jaroslaw Gorny 2011-02-25 17:40:09 EST
Created attachment 481098 [details]
xrandr -v

Description of problem:
Setup: LVDS (on) + DVI (on).

When trying to turn off laptop built-in display (LVDS), both displays are turned off (LVDS _and_ DVI).


Version-Release number of selected component (if applicable):
Software from: gfx_test_week_20110221_x86-64.iso

How reproducible:
Always.

Steps to Reproduce:
1. Have additional monitor connected to your laptop (both displays turned on).
2. Open gnome-display-properties
3. Try to turn off built-in display (LVDS)
  
Actual results:
Both displays got turned off.

Expected results:
Only LVDS turned off, DVI remains turned on and becomes "main and primary" display.

Additional info:
1. DVI monitor is connected to docking station.
2. Smolt profile of the system:
http://www.smolts.org/client/show/pub_55f01737-29ac-4707-9ea9-b53af748da2b
3. xrandr -v result in attachment.
Comment 1 Jaroslaw Gorny 2011-03-01 08:47:27 EST
Created attachment 481620 [details]
Xorg.0.log

Taken after attempt to switch off LVDS1 display.
Comment 2 Jaroslaw Gorny 2011-03-01 08:47:55 EST
Created attachment 481621 [details]
/var/log/messages

Taken after attempt to switch off LVDS1 display.
Comment 3 Jaroslaw Gorny 2011-03-01 08:48:41 EST
Created attachment 481624 [details]
dmesg output

Taken after attempt to switch off LVDS1 display.
Comment 4 Jaroslaw Gorny 2011-03-01 09:16:14 EST
Xorg.0.log, dmesg output and /var/log/messages collected on system booted with drm.debug=0x04 option.
Comment 5 Matěj Cepl 2011-03-02 06:30:35 EST
*** Bug 680570 has been marked as a duplicate of this bug. ***
Comment 6 Matěj Cepl 2011-03-17 10:35:45 EDT
*** Bug 680571 has been marked as a duplicate of this bug. ***
Comment 7 Matěj Cepl 2011-03-17 10:36:29 EDT
*** Bug 680565 has been marked as a duplicate of this bug. ***
Comment 8 Fedora End Of Life 2012-08-07 10:38:48 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.